<div class="container-fluid">
  <div class="row">
    <div class="col-12">
      {{#if isButtonNetRoute}}
          <h1 class="trending-tags__title mt-2">
            Temas de la zona:
          </h1>
      {{else}}
        <h1 class="trending-tags__title">
          Temas de la zona:
        </h1>
      {{/if}}
    </div>
  </div>
  <div class="row">
    {{#if isButtonNetRoute}}
      {{#each trendingTags as |tag|}}
        <div class="offset-lg-0 col-12 trending-tags__tag-element">
          <div class="row justify-content-center">
            <span class="text-left text-lg-left col col-lg-12 trending-tags__tag-name" >
                {{#link-to 'button-net.index.index' (query-params searchTags=tag.name hideWelcome=true) click=(action 'hideMenu' "isShowingMenuModal") class=""}}
                  #{{tag.name}}
                {{/link-to}}
            </span>
            {{#if isSmallDevice}}
            <hr>
            {{/if}}
            <span class="col col-lg-12 trending-tags__buttons-count">
              {{tag.activeButtonsCounter}} buttons
            </span>
          </div>
        </div>
      {{else}}
        <div class="col-12">
          <p>
            <strong>Lo sentimos, no se ha encontrado ningún tag</strong>
          </p>
        </div>
        <div class="col-12">
          <div class="d-flex justify-content-between mt-0">
              {{#link-to 'button-net.index.index'  (query-params hideWelcome=true) class="w-100 text-center home-welcome__small-buttons" click=(action 'hideMenu' "isShowingMenuModal")  tagName="button"}}
                    Crea un botón en la zona
              {{/link-to}}
          </div>
        </div>
      {{/each}}
    {{else}}
      {{#each trendingTags as |tag|}}
        <div class="offset-lg-0 col-12 trending-tags__tag-element">
          <div class="row justify-content-center">
            <span class="text-left text-lg-left col col-lg-12 trending-tags__tag-name" >
                {{#link-to 'index.index' (query-params searchTags=tag.name hideWelcome=true buttonsDisplay=isListView) click=(action 'hideMenu' "isShowingMenuModal") class=""}}
                  #{{tag.name}}
                {{/link-to}}
            </span>
            {{#if isSmallDevice}}
            <hr>
            {{/if}}
            <span class="col col-lg-12 trending-tags__buttons-count">
              {{tag.activeButtonsCounter}} buttons
            </span>
          </div>
        </div>
      {{else}}
        <div class="col-12">
          <p>
            <strong>Lo sentimos, no se ha encontrado ningún tag</strong>
          </p>
        </div>
        <div class="col-12">
          <div class="d-flex justify-content-between mt-0">
              {{#link-to 'index.index.new-button' 'new' class="w-100 text-center home-welcome__small-buttons" click=(action 'hideMenu' "isShowingMenuModal")  tagName="button"}}
                    Crea un botón en la zona
              {{/link-to}}
          </div>
        </div>
      {{/each}}
    {{/if}}
  </div>
  <div class="row">
    <hr>
      <div class="col-12">
        {{#if isButtonNetRoute}}
          <h1 class="trending-tags__title mt-2">
            Temas preferidos de esta Red:
          </h1>
        {{else}}
          <h1 class="trending-tags__title mt-2">
            Temas globales:
          </h1>
        {{/if}}
    </div>
  </div>
  <div class="row">
  {{#if isButtonNetRoute}}
    {{#each netSelectedTags as |tag|}}
        <div class="offset-lg-0 col-12 trending-tags__tag-element">
          <div class="row justify-content-center">
            <span class="text-left text-lg-left col col-lg-12 trending-tags__tag-name" >
              {{#link-to 'button-net.index.index' (query-params searchTags=tag.name hideWelcome=true buttonsDisplay=isListView) click=(action 'hideMenu' "isShowingMenuModal") class=""}}
                  #{{tag.name}}
                {{/link-to}}
            </span>
              {{#if isSmallDevice}}
              <hr>
              {{/if}}
            <span class="col col-lg-12 trending-tags__buttons-count">
                {{tag.activeButtonsCounter}} buttons
            </span>
          </div>
        </div>
      {{else}}
           <div class="col-12">
             <p>
               <strong>No se ha definido ningún tema de Red</strong>
             </p>
           </div>
           <div class="col-12">
             <!-- <div class="d-flex justify-content-between mt-0">
                 {{#link-to 'button-net.index.index'  class="w-100 text-center home-welcome__small-buttons" click=(action 'hideMenu' "isShowingMenuModal")  tagName="button"}}
                       Crea un botón
                 {{/link-to}}
             </div> -->
           </div>
    {{/each}}
  {{else}}
    {{#each globalTrendingTags as |tag|}}
          <div class="offset-lg-0 col-12 trending-tags__tag-element">
            <div class="row justify-content-center">
                <span class="text-left text-lg-left col col-lg-12 trending-tags__tag-name" >
                    {{#link-to 'index.index' (query-params searchTags=tag.name hideWelcome=true buttonsDisplay=isListView) click=(action 'hideMenu' "isShowingMenuModal") class=""}}
                      #{{tag.name}}
                    {{/link-to}}
                </span>
            {{#if isSmallDevice}}
              <hr>
            {{/if}}
                <span class="col col-lg-12 trending-tags__buttons-count">
                  {{tag.activeButtonsCounter}} buttons
                </span>
            </div>
          </div>
       {{else}}
          <div class="col-12">
            <p>
              <strong>Lo sentimos, no hay tags disponibles.</strong>
            </p>
          </div>
          <div class="col-12">
            <!-- <div class="d-flex justify-content-between mt-0">
                {{#link-to 'index.index.new-button' 'new' class="w-100 text-center home-welcome__small-buttons" click=(action 'hideMenu' "isShowingMenuModal") tagName="button"}}
                      Crea un botón
                {{/link-to}}
            </div> -->
          </div>
      {{/each}}
    {{/if}}
  </div>
</div>
